import 'package:flutter/material.dart';

import 'package:pshared/models/payment/operation.dart';

import 'package:pweb/pages/report/charts/payout_volumes/chart.dart';
import 'package:pweb/pages/report/charts/status.dart';


class OperationHistoryChartsRow extends StatelessWidget {
  final List<OperationItem> operations;

  const OperationHistoryChartsRow({
    super.key,
    required this.operations,
  });

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: 200,
      child: Row(
        spacing: 16,
        children: [
          Expanded(
            child: StatusChart(operations: operations),
          ),
          Expanded(
            child: PayoutVolumesChart(
              operations: operations,
            ),
          ),
        ],
      ),
    );
  }
}
